Bug 980757 (CVE-2013-2231)

Summary: CVE-2013-2231 qemu: qemu-ga win32 service unquoted search path
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acathrow, areis, bsarathy, ehabkost, gleb, jgregusk, knoel, lersek, lveyde, michen, mikeb, minovotn, mkenneth, mrezanin, mtosatti, pbonzini, rcvalle, rhod, security-response-team, vkrizan, yvugenfi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130722,reported=20130620,source=redhat,cvss2=7.2/AV:L/AC:L/Au:N/C:C/I:C/A:C,rhel-5/kvm=notaffected,rhel-6/qemu-kvm=affected,fedora-all/qemu=affected,rhel-5/xen=notaffected,fedora-all/xen=new,openstack-3/qemu-kvm-rhev=notaffected,rhel-7/qemu-kvm=notaffected,rhel-5/virtio-win=notaffected,rhel-6/virtio-win=affected,cwe=CWE-428
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 10:09:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 976478, 980758, 980817, 983500, 983502, 986943    
Bug Blocks: 980773, 983084, 983681    
Attachments:
Description Flags
Proposed upstream patch none

Description Petr Matousek 2013-07-03 03:52:08 EDT
An unquoted search path flaw was found in the way qemu guest agent service for Windows was installed into the system.

A local unprivileged user could use this flaw to increase their privileges.

References:

http://cwe.mitre.org/data/definitions/428.html

Acknowledgements:

This issue was discovered by Lev Veyde of Red Hat.
Comment 2 Petr Matousek 2013-07-03 04:16:13 EDT
Statement:

This issue does not affect the kvm package as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the xen package as shipped with Red Hat Enterprise Linux 5.

This issue does affect the qemu-kvm package as shipped with Red Hat Enterprise Linux 6. Future qemu-kvm updates in Red Hat Enterprise Linux 6 may address this flaw.
Comment 6 Petr Matousek 2013-07-22 09:15:57 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 986943]
Comment 7 Petr Matousek 2013-07-22 09:21:49 EDT
Created attachment 776902 [details]
Proposed upstream patch
Comment 8 errata-xmlrpc 2013-07-22 13:36:45 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1101 https://rhn.redhat.com/errata/RHSA-2013-1101.html
Comment 9 errata-xmlrpc 2013-07-22 13:37:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1100 https://rhn.redhat.com/errata/RHSA-2013-1100.html